- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# bigip_message_routing_route – Manages static routes for routing message protocol messages

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages static routes for routing message protocol messages.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string |  | The user defined description of the static route.
dst_address string |  | Specifies the destination address of the route. Setting the attribute to an empty string will create a wildcard matching all message destination-addresses, which is the default when creating a new route.
name string / required |  | Specifies the name of the static route.
partition string | Default: "Common" | Device partition to create route object on.
peer_selection_mode string | Choices: ratio sequential | Specifies the method to use when selecting a peer from the provided list of `peers`.
peers list |  | Specifies a list of ltm messagerouting-peer objects. The specified peer must be on the same partition as the route.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| transport string | Choices: cli rest ← | Configures the transport connection to use when connecting to the remote device.
| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.
| validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates. You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.
src_address string |  | Specifies the source address of the route. Setting the attribute to an empty string will create a wildcard matching all message source-addresses, which is the default when creating a new route.
state string | Choices: present ← absent | When `present`, ensures that the route exists. When `absent`, ensures the route is removed.
type string | Choices: generic ← | Parameter used to specify the type of the route to manage. Default setting is `generic` with more options added in future.

## Notes

Note

- Requires BIG-IP >= 14.0.0
- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create a simple generic route
      bigip_message_routing_route:
        name: foobar
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Modify a generic route
      bigip_message_routing_route:
        name: foobar
        peers:
          - peer1
          - peer2
        peer_selection_mode: ratio
        src_address: annoying_user
        dst_address: blackhole
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

    - name: Remove a generic
      bigip_message_routing_route:
        name: foobar
        state: absent
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
description string | changed | The user defined description of the route. Sample: Some description
dst_address string | changed | The destination address of the route. Sample: blackhole
peer_selection_mode string | changed | The method to use when selecting a peer. Sample: ratio
peers list | changed | The list of ltm messagerouting-peer object. Sample: ['/Common/peer1', '/Common/peer2']
src_address string | changed | The source address of the route. Sample: annyoing_user

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.